#version 3.7;
#declare CSG_OVERLAP=0.0001;
#declare MM_PER_UNIT=1000;
#declare SKY_VECTOR=<0,0,1>;
#declare Nits_Per_White=3600;

#declare Rad=1;




global_settings{
max_trace_level 8
assumed_gamma 1.0
adc_bailout 0.006
mm_per_unit MM_PER_UNIT
#if(Rad>0)
radiosity{
 pretrace_start 64/image_width  //64
 pretrace_end   4/image_width   //4

 count 120         //16000-25000 high quality
 nearest_count 2
 error_bound 0.28      //0.22 high quality
 recursion_limit 8     //2
 low_error_factor 0.5
 gray_threshold 0.0
 brightness 1
 media off
 
}
#end 
}

default{
texture{
    pigment {rgb<1,1,1>}
    finish{ambient 0}
}
}
//---------------------background------------------------
background{rgb <0.2, 0.2, 0.2>}


// create a regular point light source
light_source {
  0*x                  // light's position (translated below)
  color rgb <1,1,1>*1
  //fade_power 2
  fade_distance 1.0
  translate <-2, 5, 2>
}



#local show_axis = true;

#if(show_axis)
    cylinder{
    <0,0,0>, <1,0,0>, 0.05
        pigment{rgb<1,0,0>}
        finish{ambient 0 diffuse 1}
    }
    cylinder{
    <0,0,0>, <0,1,0>, 0.05
        pigment{rgb<0,1,0>}
        finish{ambient 0 diffuse 1}
    }



#end

//--------------------camerea----------------------------------

#declare camera_pos = <3.2, 2.8, 12.2>;



#declare camera_pos = <4.2, 12.8, 12.2>/2;




camera{
location camera_pos // 
look_at <0, 0, 0.0>
right -x*image_width/image_height
sky <0,0,1>
angle 16 //48
}







//-------------------input texture and settings-------------------------------
#local tex_scale = 1.0;
#local tex_rotate = 0; //152



#include "tree_log_assembly.inc"




#local timber_width = 1.5;
#local timber_height = 1.7;

#local display_pigment =
pigment{
    diffuse_pigment
//rgb<1,1,1>
    
}






#declare timber =
difference {

box{
<-timber_width/2, -timber_width/2, -timber_height/2>, <timber_width/2, timber_width/2, timber_height/2>
}
/**/
plane {
    -<0.6,0,0.4>, -0.25
}

plane {
    -<0.25, -1,0>, -0.25
}
translate <0, 0, timber_height/2>
}






object{
timber
    texture {
        pigment {display_pigment}
        finish {ambient 0 diffuse 1}
        scale tex_scale
        rotate <0, 0, tex_rotate>
        
        
    }

translate <0, 0, -1.0>
rotate <0,0,90>
}





#local wall_background = yes;

#if(wall_background)
    #local ground_tex =
    texture {
        pigment {rgb <0.15, 0.15, 0.15>}
        finish {ambient 0 diffuse 1}
    }

    #local wall_tex =
    texture {
        pigment{rgb<0.5,0.5,0.5>}
        finish{ambient 0 diffuse 1}
    }
    
    
    
    plane {
        <0,0,1>, -1
        texture {ground_tex}
    }
    
    plane {
        <0,1,0>, -1
        texture{wall_tex }
    }
#end